 <?php

if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400'); // cache for 1 day
}

error_reporting(E_ERROR | E_PARSE);

$_SESSION['database'] = $_GET['database'];
$_SESSION['orden'] = $_GET['orden'];
$_SESSION['opcion'] = $_GET['opcion'];
$_SESSION['agrupar'] = $_GET['agrupar'];
$po_op_id = "";

include 'conn.php';
include 'funciones.php';

$jsonData = array();
$jsonTempData = array();
$po_cant = " tp.po_cant";
$group = "";

if ($_SESSION['agrupar'] == "1") {
    $po_cant = " sum(po_cant) as po_cant ";
    $group = " group by p.pr_id, tp.porcdesc, tp.po_precio order by tp.po_id, tp.po_posicion";
} else {
    $group = " order by tp.po_id, tp.po_posicion";
}

//CONSULTAR
if ($_SESSION['opcion'] == "1") {

    $sql = "select tp.ubic_enviada, " .
        "p.w_tipo, p.pr_itbms, " .
        "p.pr_venta1 as pr_costo_prom, " .
        "p.pr_id_familia ," .
        "p.pr_id ," .
        "tp.po_id ," .
        "tp.po_relac_unic ," .
        "tp.ubicacion ," .
        "tp.po_precio ," .
        "tp.porcdesc ," .
        "tp.porcdesc_general ," .
        $po_cant . " ," .
        "tp.po_descripcion ," .
        "tp.po_op_id ," .
        "tp.mod_id_auto, " .
        "tp.po_visible_grid, " .
        "tp.po_pr_detalle, " .
        "tp.po_father, " .
        "tp.po_id_npar, " .
        "tp.po_id_refe, " .
        "tp.po_pr_tipo, " .
        "tp.po_cant_asoc, " .
        "tp.po_costo " .
        "from " . $_GET['database'] . ".tmp_producto_op tp" .
        " left outer join " . $_GET['database'] . ".productos p on tp.po_id_prod = p.pr_id " .
        " where  tp.po_op_id = " . $_SESSION['orden'] . $group;
}

if ($_SESSION['opcion'] == "2") {

    $sql = "select tp.ubic_enviada, " .
        "p.w_tipo, p.pr_itbms, " .
        "p.pr_venta1 as pr_costo_prom, " .
        "p.pr_id_familia ," .
        "p.pr_id ," .
        "tp.po_id ," .
        "tp.po_relac_unic ," .
        "tp.ubicacion ," .
        "tp.po_precio ," .
        "tp.porcdesc ," .
        "tp.porcdesc_general ," .
        $po_cant . " ," .
        "tp.po_descripcion ," .
        "tp.po_op_id ," .
        "tp.mod_id_auto, " .
        "tp.po_visible_grid, " .
        "tp.po_pr_detalle, " .
        "tp.po_father, " .
        "tp.po_id_npar, " .
        "tp.po_id_refe, " .
        "tp.po_pr_tipo, " .
        "tp.po_cant_asoc, " .
        "tp.po_costo " .
        "from " . $_GET['database'] . ".tmp_producto_op tp" .
        " left outer join " . $_GET['database'] . ".productos p on tp.po_id_prod = p.pr_id " .
        " where  tp.po_op_id = " . $_SESSION['orden'] . $group;
}

//print_r($sql);

$qur = $connection->query($sql);

if ($_SESSION['codigo'] == "99") {

    $json->datos = "false";

} else {
    $json->datos = "true";

    $po_relac_unic_ante = 0;
    $pr_id_padre = 0;
    $puesto = 0;
    $po_id_npar = 0;
    $tipo_prod = "P";

    while ($r = mysqli_fetch_assoc($qur)) {

        $prod_tipo = "Norm";
        if (intval($r['po_pr_tipo']) == 1) {
            $po_id_npar = $r['po_id_npar'];

        } else {
            if (intval($w_tipo) != 6) {

                if ($po_id_npar == $r['po_id_npar']) {
                    $prod_tipo = "Comp";
                }
            }

        }

        //print_r($po_id_npar . "   ".$r['po_id_npar']);

        $w_tipo = $r['w_tipo'];
        $ubic_enviada = $r['ubic_enviada'];

        if (intval($ubic_enviada) == 1) {
            $ubic_enviada = "ion-pin";
        } else {
            $ubic_enviada = "";
        }

        if (intval($w_tipo) == 6) {

            $pr_id_padre = $r['po_id'];
            $po_relac_unic_ante = $r['po_relac_unic'];
        }

        if ($po_relac_unic_ante != $r['po_relac_unic']) {
            $pr_id_padre = 0;
        }

        // if ($_SESSION['opcion']=="2")
        //{
        $puesto = $r['ubicacion'];
        //}

        $precio = $r['po_precio'];
        $PorcDesc = $r['porcdesc'];
        $PorcImpu = $r['pr_itbms'];
        $canti = $r['po_cant'];
        $PrecioCant = $precio * $canti;
        $descuento = $PrecioCant * $PorcDesc / 100;
        $total1 = $PrecioCant - $descuento;
        $pr_itbms = $total1 * $PorcImpu / 100;
        $total2 = $total1 + $pr_itbms;
        $pr_descripcion = $r['po_descripcion'];
        $w_fncolor = "";
        $disabled = "";
        $disabled_delete = "";
        $combo = "no";

        $raiz = 10;
        $multiplicador = pow($raiz, 2);

        //$resultado = ((int)($precio * $multiplicador)) / $multiplicador;
        //$precio = number_format($resultado, 2);
        $precio = number_format($precio, 2, '.', '');

        //$resultado = ((int)($total2 * $multiplicador)) / $multiplicador;
        $total2 = number_format($total2, 2, '.', '');
        $PrecioCant = number_format($PrecioCant, 2, '.', '');

        //$resultado = ((int)($pr_itbms * $multiplicador)) / $multiplicador;
        //$pr_itbms = number_format($resultado, 2);

        if (intval($r['w_tipo']) == 6) {
            $w_fncolor = "#EC4B0A";
            $disabled = "disabled";
            $combo = "si";
            $tipo_prod = "M";
        } else {
            $w_fncolor = "black";
        }

        if (substr($pr_descripcion, 0, 4) == "....") {
            $disabled = "disabled";
            $disabled_delete = "disabled";
            $combo = "no";
        } elseif (substr($pr_descripcion, 0, 3) == "...") {
            $disabled = "disabled";
            $disabled_delete = "disabled";
            $combo = "si";
            $tipo_prod = "P";
        }

        if ($_SESSION['agrupar'] == "1" and intval($canti) > 1) {
            $disabled = "disabled";
            $disabled_delete = "disabled";
        }

        $po_visible_grid = '';

        if ($r['po_visible_grid'] == 'n') {
            $po_visible_grid = 'none';
        }

        $po_op_id = $r['po_op_id'];
        $jsonTempData = array();
        $jsonTempData['autoin'] = $r['po_id'];
        $jsonTempData['pr_id_padre'] = $r['po_father'];
        $jsonTempData['po_op_id'] = $r['po_op_id'];
        $jsonTempData['pr_id'] = $r['pr_id'];
        $jsonTempData['pr_id_familia'] = $r['pr_id_familia'];
        $jsonTempData['pr_descripcion'] = utf8_encode($pr_descripcion);
        $jsonTempData['w_tipo'] = $r['w_tipo'];
        $jsonTempData['w_fncolor'] = $w_fncolor;
        $jsonTempData['total'] = $PrecioCant;
        $jsonTempData['precioFijo'] = $precio;
        $jsonTempData['pr_venta1'] = $precio;
        $jsonTempData['ord_precio'] = $precio;
        $jsonTempData['pr_itbms'] = $pr_itbms;
        $jsonTempData['cantidad'] = floatval($r['po_cant']);
        $jsonTempData['PorcDesc'] = floatval($r['porcdesc']);
        $jsonTempData['PorcDescPOS'] = $r['porcdesc'];
        $jsonTempData['porcdesc_general'] = $r['porcdesc_general'];
        $jsonTempData['descuento'] = $descuento;
        $jsonTempData['pr_costo_prom'] = $r['po_costo'];
        $jsonTempData['PorcentajeImp'] = $PorcImpu;
        $jsonTempData['personaMesa'] = $puesto;
        $jsonTempData['enviado'] = $ubic_enviada;
        $jsonTempData['disabled'] = $disabled;
        $jsonTempData['disabled_delete'] = $disabled_delete;
        $jsonTempData['po_id'] = $r['po_id'];
        $jsonTempData['mod_id_auto'] = $r['mod_id_auto'];
        $jsonTempData['ocultar'] = utf8_encode($po_visible_grid);
        $jsonTempData['combo'] = $combo;
        $jsonTempData['po_id_npar'] = $r['po_id_npar'];
        $jsonTempData['po_id_refe'] = $r['po_id_refe'];
        $jsonTempData['pr_tipo'] = $r['po_pr_tipo'];
        $jsonTempData['cant_equi'] = $r['po_cant_asoc'];
        $jsonTempData['prod_tipo'] = $prod_tipo;
        $jsonTempData['tipo_prod'] = $tipo_prod;
        $po_pr_detalle = str_replace("|||", "\n", $r['po_pr_detalle']);
        $jsonTempData['det'] = $po_pr_detalle;
        $jsonData[] = $jsonTempData;
    }
    $json->jsonordenes = $jsonData;

    if ($po_op_id != "") {
        $sql = "SELECT op_nombre FROM " . $_GET['database'] . ".tmp_operacion WHERE po_id='" . $po_op_id . "'";
        $qur = $connection->query($sql);

        while ($r = mysqli_fetch_assoc($qur)) {

            $jsonTempData = array();
            $jsonTempData['op_nombre'] = $r['op_nombre'];
            $jsonData[] = $jsonTempData;
            $json->cliente_orden = $jsonData;
        }
    }
}

//print_r(json_encode($sql));

print_r(json_encode($json));

@mysqli_close($connection);
?>